Loading...
Searching...
No Matches
halide_semaphore_t Struct Reference

An opaque struct representing a semaphore. More...

`#include <HalideRuntime.h>`

## Public Attributes

uint64_t | _private [2]

## Detailed Description

An opaque struct representing a semaphore.

Used by the task system for async tasks.

Definition at line 242 of file HalideRuntime.h.

## Member Data Documentation

## _private

uint64_t halide_semaphore_t::_private[2]

Definition at line 243 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h